Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Barcode Generator component is a lightweight, high-performance component that displays industry-standard 1D and 2D barcodes in React applications. Generated barcodes are optimized for printing and on-screen scanning. The component is designed for ease of use and does not require fonts.


Customization

The React Barcode Generator is easily customizable. You can customize its color (dark or light), height, width, and more.

Customizable options in React Barcode Scanner


Label

The React Barcode Generator lets you display a barcode with or without text and provides alignment options.

label option in React Barcode Scanner


Barcode symbologies

The Syncfusion React Barcode Generator component supports a wide range of barcode symbologies.

Qrcode in React Barcode Scanner

QR code

Quick response codes (QR codes) are two-dimensional barcodes. They can efficiently store more information in a smaller space than 1D barcodes. Each barcode can store values up to 7,089 characters. They are mostly used for URLs, business cards, and contact information.

Datamatrix in React Barcode Scanner

Data Matrix

A Data Matrix is a two-dimensional barcode. The information encoded should be text or numeric values. Each barcode can store values up to 2,335 alphanumeric characters. They are mostly used by couriers and the food industry.

Code39 in React Barcode Scanner

Code 39

Code 39 is a common barcode type used for various labels such as on name badges, inventory, and in industrial applications. The symbology of the Code 39 character set consists of barcode symbols representing numbers 0-9, uppercase letters A-Z, and the space character.

Code39 Extended in React Barcode Scanner

Code 39 Extended

The Code 39 Extended is an extended version of Code 39. Lower characters and special characters are supported.

Code11 in React Barcode Scanner

Code 11

Code 11, also known as USD-8, is high numeric symbology. The character set includes the digits 0-9, the hyphen symbol ( - ), and start and stop characters. It is commonly used in telecommunications.

Codabar in React Barcode Scanner

Codabar

Codabar is also known as USD-4 and Code 2 of 7. It can encode the digits 0-9, six symbols, and start and stop characters. It is even possible to print Codabar codes using typewriter-like impact printers, which allows the creation of many codes with consecutive numbers without having to use a computer.

Code32 in React Barcode Scanner

Code 32

The Code 32 is also known as Italian Pharmacode. It has the following structure: the ‘A’ character that is not really encoded, eight digits for Pharmacode, and one digit for Checksum module 10 that is automatically calculated by Barcode Professional.

Code93 in React Barcode Scanner

Code 93

Code 93 was designed to complement and improve Code 39. It is used to represent the full ASCII character set by using combinations of two characters. Code 93 can encode uppercase letters, numeric digits, and a handful of special characters.

Code93 Extended in React Barcode Scanner

Code 93 Extended

Code 93 Extended is based on Code 93, but it can encode the full 128-character ASCII. The characters represented by Code 93 are represented in Code 93 Extended as single barcode characters, but all other characters are represented by a control character plus another character.

Code128 in React Barcode Scanner

Code 128

Code 128 is a very high-density barcode that supports alphanumeric characters. This barcode is used as the basis for many other barcodes like UCC/EAN, HIBC (health industry barcode), and the blood bank industry.

UpcA in React Barcode Scanner

UPC - A

The universal product code (UPC-A) is a numeric symbology used in retail. UPC-A symbols consist of 11 data digits and one check digit. The first digit is a number system digit that normally represents the type of product being identified.


Customizing the text

You can customize the alignment, position, and margins of the barcode and QR code text.


Other supported frameworks

Barcode component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Barcode platforms from the links below,


React BarCode Component Code Example

Easily get started with the React BarCode using a few simple lines of HTML and TS code example as demonstrated below. Also explore our React BarCode Example that shows you how to render and configure a BarCode in React.

<div className="col-lg-8 control-section" style=>
    <div className="content-wrapper" style=>
        <div className='center'>
            <div className='centercontrol'>
                <BarcodeGeneratorComponent id="barcode" ref={barcode => (barcodeInstance = barcode)} width={"200px"} height={"150px"} invalid={(arg) => {
                canShowError = true;
                this.formObject.validate();
            }} mode='SVG' type='Ean8' value='11223344'></BarcodeGeneratorComponent>
            </div>
        </div>
    </div>
</div>
import * as React from "react";
import { DropDownListComponent } from "@syncfusion/ej2-react-dropdowns";
import { TextBoxComponent, FormValidator } from '@syncfusion/ej2-react-inputs';
import { BarcodeGeneratorComponent } from "@syncfusion/ej2-react-barcode-generator";
import { SampleBase } from "../common/sample-base";
import { NumericTextBoxComponent, ColorPickerComponent } from "@syncfusion/ej2-react-inputs";
import { CheckBoxComponent } from "@syncfusion/ej2-react-buttons";
let canShowError = false;
let customFn = (args) => {
    if (canShowError) {
        return false;
    }
    return true;
};
let options = {
    rules: {
        'textbox_0': { minLength: [customFn, 'Invalid input'] },
}



90+ REACT UI COMPONENTS

Frequently Asked Questions

  • Support for most common 1D and 2D barcodes.
  • Support for complete customization of a barcode to augment its appearance.
  • Ease of use and integration.
  • Support for a wide range of barcode symbologies.
  • Support for all modern browsers.
  • Extensive demos and documentation let you get started quickly with the React Barcode Generator.

We do not sell the React Barcode separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Barcode. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Barcode demo, which demonstrates how to render and configure the Barcode.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Barcode, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Barcode component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The Vue Barcode (QR Code) generator component is a lightweight, high-performance component that displays industry-standard 1D and 2D barcodes in Vue applications. Generated barcodes are optimized for printing and on-screen scanning. The component is designed for ease of use and does not require fonts.


Customization

The Vue Barcode Generator is easily customizable. You can customize its color (dark or light), height, width, and more.

Customizable options


Label

The Vue Barcode Generator lets you display a barcode with or without text and provides alignment options.

Barcode input text


Barcode symbologies

The Syncfusion Vue Barcode Generator component supports a wide range of barcode symbologies.

Qrcode barcode

QR Code

Quick response codes (QR codes) are two-dimensional barcodes. They can efficiently store more information in a smaller space than 1D barcodes. Each barcode can store values up to 7,089 characters. They are mostly used for URLs, business cards, and contact information.

Datamatrix barcode

Data Matrix

A Data Matrix is a two-dimensional barcode. The information encoded should be text or numeric values. Each barcode can store values up to 2,335 alphanumeric characters. They are mostly used by couriers and the food industry.

Code39 barcode

Code 39

Code 39 is a common barcode type used for various labels such as on name badges, inventory, and in industrial applications. The symbology of the Code 39 character set consists of barcode symbols representing numbers 0-9, uppercase letters A-Z, and the space character.

Code39 Extended barcode

Code 39 Extended

The Code 39 Extended is an extended version of Code 39. Lower characters and special characters are supported.

Code11 barcode

Code 11

Code 11, also known as USD-8, is high numeric symbology. The character set includes the digits 0-9, the hyphen symbol ( - ), and start and stop characters. It is commonly used in telecommunications.

Codabar barcode

Codabar

Codabar is also known as USD-4 and Code 2 of 7. It can encode the digits 0-9, six symbols, and start and stop characters. It is even possible to print Codabar codes using typewriter-like impact printers, which allows the creation of many codes with consecutive numbers without having to use a computer.

Code32 barcode

Code 32

The Code 32 is also known as Italian Pharmacode. It has the following structure: the ‘A’ character that is not really encoded, eight digits for Pharmacode, and one digit for Checksum module 10 that is automatically calculated by Barcode Professional.

Code93 barcode

Code 93

Code 93 was designed to complement and improve Code 39. It is used to represent the full ASCII character set by using combinations of two characters. Code 93 can encode uppercase letters, numeric digits, and a handful of special characters.

Code93 Extended barcode

Code 93 Extended

Code 93 Extended is based on Code 93, but it can encode the full 128-character ASCII. The characters represented by Code 93 are represented in Code 93 Extended as single barcode characters, but all other characters are represented by a control character plus another character.

Code128 barcode

Code 128

Code 128 is a very high-density barcode that supports alphanumeric characters. This barcode is used as the basis for many other barcodes like UCC/EAN, HIBC (health industry barcode), and the blood bank industry.

UpcA barcode

UPC - A

The universal product code (UPC-A) is a numeric symbology used in retail. UPC-A symbols consist of 11 data digits and one check digit. The first digit is a number system digit that normally represents the type of product being identified.


Customizing the text

You can customize the alignment, position, and margins of the barcode and QR code text.


Other supported frameworks

The Barcode component is also available in Blazor, React, Angular, and JavaScript frameworks. Check out the different Barcode platforms from the links below,


Vue Barcode Code Example

Easily get started with the Vue Barcode using a few simple lines of Vue codes as demonstrated below. Also explore our Vue Barcode Example that shows you how to render and configure a Barcode in Vue.

  1. <template>
  2. <div id="app" class="barcodeStyle">
  3. <ejs-barcodegenerator
  4. id="barcode"
  5. ref="barcodeControl"
  6. :width="width"
  7. :height="height"
  8. :type="type"
  9. :value="value"
  10. :mode="mode"
  11. ></ejs-barcodegenerator>
  12.  
  13. </div>
  14. </template>
  15. <style>
  16. .barcodeStyle
  17. {
  18. height: 150px;
  19. width: 200px;
  20. padding-left: 40%;
  21. padding-top: 9%;
  22. }
  23. </style>
  24. <script>
  25. import Vue from 'vue';
  26. import { BarcodeGeneratorPlugin } from '@syncfusion/ej2-vue-barcode-generator';
  27.  
  28. Vue.use(BarcodeGeneratorPlugin);
  29. export default {
  30. name: 'app'
  31. data () {
  32. return {
  33. width: "200px",
  34. height: "150px",
  35. type: "Codabar",
  36. value: "123456789",
  37. mode: "SVG",
  38. }
  39. }
  40. }
  41. </script>

90+ VUE UI COMPONENTS

Frequently Asked Questions

  • Support for most common 1D and 2D barcodes.
  • Support for complete customization of a barcode to augment its appearance.
  • Ease of use and integration.
  • Support for a wide range of barcode symbologies.
  • Support for all modern browsers.
  • Extensive demos and documentation to let you get started quickly with the Vue Barcode Generator.

We do not sell the Vue Barcode separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Vue Barcode. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Vue Barcode demo, which demonstrates how to render and configure the Barcode.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Vue Barcode, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Barcode component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us

Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Barcode Generator component is a lightweight, high-performance control that displays industry-standard 1D and 2D barcodes in Angular applications. Generated barcodes are optimized for printing and on-screen scanning. The component is designed for ease of use and does not require fonts.


Customization

The Angular Barcode Generator is easily customizable. You can customize its color (dark or light), height, width, and more.

Custom Barcode in Angular


Label

The Angular Barcode Generator lets you display a barcode with or without text and provides alignment options.

Angular Barcode input text


Barcode symbologies

The Syncfusion Angular Barcode Generator component supports a wide range of barcode symbologies.

Qrcode barcode

QR Code

Quick response codes (QR codes) are two-dimensional barcodes. They can efficiently store more information in a smaller space than 1D barcodes. Each barcode can store values up to 7,089 characters. They are mostly used for URLs, business cards, and contact information.

Datamatrix in Angular barcode

Data Matrix

A Data Matrix is a two-dimensional barcode. The information encoded should be text or numeric values. Each barcode can store values up to 2,335 alphanumeric characters. They are mostly used by couriers and the food industry.

Code39 in angular barcode

Code 39

Code 39 is a common barcode type used for various labels such as on name badges, inventory, and in industrial applications. The symbology of the Code 39 character set consists of barcode symbols representing numbers 0-9, uppercase letters A-Z, and the space character.

Code39 Extended barcode

Code 39 Extended

The Code 39 Extended is an extended version of Code 39. Lower characters and special characters are supported.

Code11 in Angular barcode

Code 11

Code 11, also known as USD-8, is high numeric symbology. The character set includes the digits 0-9, the hyphen symbol ( - ), and start and stop characters. It is commonly used in telecommunications.

Codabar in Angular barcode

Codabar

Codabar is also known as USD-4 and Code 2 of 7. It can encode the digits 0-9, six symbols, and start and stop characters. It is even possible to print Codabar codes using typewriter-like impact printers, which allows the creation of many codes with consecutive numbers without having to use a computer.

Code32 in Angular barcode

Code 32

The Code 32 is also known as Italian Pharmacode. It has the following structure: the ‘A’ character that is not really encoded, eight digits for Pharmacode, and one digit for Checksum module 10 that is automatically calculated by Barcode Professional.

Code93 in Angular barcode

Code 93

Code 93 was designed to complement and improve Code 39. It is used to represent the full ASCII character set by using combinations of two characters. Code 93 can encode uppercase letters, numeric digits, and a handful of special characters.

Code93 Extended barcode

Code 93 Extended

Code 93 Extended is based on Code 93, but it can encode the full 128-character ASCII. The characters represented by Code 93 are represented in Code 93 Extended as single barcode characters, but all other characters are represented by a control character plus another character.

Code128 in Angular barcode

Code 128

Code 128 is a very high-density barcode that supports alphanumeric characters. This barcode is used as the basis for many other barcodes like UCC/EAN, HIBC (health industry barcode), and the blood bank industry.

UpcA in Angular barcode

UPC - A

The universal product code (UPC-A) is a numeric symbology used in retail. UPC-A symbols consist of 11 data digits and one check digit. The first digit is a number system digit that normally represents the type of product being identified.


Customizing the text

You can customize the alignment, position, and margins of the barcode and QR code text.


Other supported frameworks

Barcode is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Barcode platforms from the links below,


Angular BarCode Control Code Example

Easily get started with the Angular BarCode using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular BarCode Example that shows you how to render and configure a BarCode in Angular.

  1. <div class="control-wrapper">
  2. <div class='center'>
  3. <div class='centercontrol' style="width:200px;height:200px">
  4. <ejs-barcodegenerator style="display: block;" #barcode id="barcode" width="200px" height="150px"
  5. mode="SVG" (invalid)="invalidInput($event)" type="Ean8" value="11223344">
  6. </ejs-barcodegenerator>
  7. </div>
  8. </div>
  9. </div>
  1. import { Component } from "@angular/core";
  2. @Component({
  3. selector: "app-container",
  4. // specifies the template string for the barcode generator component
  5. template: `<ejs-barcodegenerator style="display: block;" #barcode id="barcode" width="200px" height="150px" mode="SVG" type="Codabar" value="123456789">`
  6. })
  7. export class AppComponent {}

90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

  • Support for most common 1D and 2D barcodes.
  • Support for complete customization of a barcode to augment its appearance.
  • Ease of use and integration.
  • Support for a wide range of barcode symbologies.
  • Support for all modern browsers.
  • Extensive demos and documentation to let you get started quickly with the Angular Barcode Generator.

We do not sell the Angular Barcode separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular Barcode . The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular Barcode demo, which demonstrates how to render and configure the Barcode.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular Barcode, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Barcode component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us